InstallJupsmonApplet()
{

[ -z "$UNTAR" ] && UNTAR="tar xf"

cat<<EOF

Do you want to install Java Upsmon-Applet and upsman-Gateway for Unix?
This software requires a Java environment installed on your System.
Please start the installation from X window shell only, otherwise
we cannot install the files.
EOF

$doecho \\nInstall Javamon-Applet [Y/n]?: \\c
read yesno

if [ "$yesno" != "" ] && [ $yesno != y ] && [ $yesno != Y ]; then
    return 0
fi

check_ups_dir

cd $UPS_DIR

if [ -f $VER/[Jj][Uu][Pp][Ss][Mm][Oo][Nn].[Tt][Aa][Rr] ]; then
    JUSPMON=`ls $VER/[Jj][Uu][Pp][Ss][Mm][Oo][Nn].[Tt][Aa][Rr] 2>/dev/null`
else
    doerror can\'t find $VER/jupsmon.tar, no such file!
fi
if [ -f $VER/[Jj][Uu][Pp][Ss][Mm][Aa][Nn].[Tt][Aa][Rr] ]; then
    JUSPMAN=`ls $VER/[Jj][Uu][Pp][Ss][Mm][Aa][Nn].[Tt][Aa][Rr] 2>/dev/null`
else
    doerror can\'t find $VER/jupsman.tar, no such file!
fi

$doecho \\nInstalling classfiles in `pwd`/jupsman... \\c
tarerror=`$UNTAR $JUSPMON 2>&1` `$UNTAR $JUSPMAN 2>&1`
#[ "$tarerror" ] && doerror \\n$tarerror

$doecho ok!; sleep 1

cd jupsman

cat > startjupsman<<EOF
#!/bin/sh
cd `pwd`
java -cp . jupsgw \$*
EOF

chmod a+x startjupsman
[ $? = 0 ] || doerror failed to write startjupsman

$doecho \\n\\nJava upsmon-Applet and upsman-Gateway installed in `pwd`; sleep 1

cd ..

check_java
}
