# ------------------------------------------------------------
# ask_for_xmessage_readme()
# ------------------------------------------------------------

ask_for_xmessage_readme() {

if [ -n "$INFO_DIR" -a -f $INFO_DIR/[Xx][Mm][Ee][Ss][Ss][Aa][Gg][Ee].[Tt][Xx][Tt] ]; then
    XMESSAGEREADME=`ls $INFO_DIR/[Xx][Mm][Ee][Ss][Ss][Aa][Gg][Ee].[Tt][Xx][Tt] 2>/dev/null`
else
    return 1
fi

$doecho \\nDo you want to read the information for the xmessage tool [Y/n]?: \\c
read yesno

dodebug "yesno = >$yesno<"

if [ "$yesno" = "" ] || [ $yesno = y ] || [ $yesno = Y ]; then
	more $XMESSAGEREADME
fi

sleep 1
}

# ------------------------------------------------------------
# do_xmessage_inst()
# ------------------------------------------------------------

do_xmessage_inst() {

$doecho \\nInstall xmessage in `pwd`... \\c
tarerror=`$UNTAR $XMESSAGE_TAR 2>&1`
#[ "$tarerror" ] && doerror \\n$tarerror

chown root:0 xmessage && chmod 700 xmessage
[ $? = 0 ] || doerror failed to set permissions on xmessage

if [ -f xmessage-static ]; then
    chown root:0 xmessage-static && chmod 775 xmessage-static
    [ $? = 0 ] || doerror failed to set permissions on xmessage-static
fi

$doecho ok!; sleep 1
}

# ------------------------------------------------------------
# InstallXmessage()
# ------------------------------------------------------------

InstallXmessage() {
dodebug "InstallXmessage()"
[ -z "$UNTAR" ] && UNTAR="tar xf"

cat<<EOF

Do you want to install xmessage?
This software allows you to pop up messages received by rccmd on a graphical display.
EOF

ask_for_xmessage_readme

$doecho \\nInstall xmessage [Y/n]?: \\c
read yesno

if [ "$yesno" != "" ] && [ $yesno != y ] && [ $yesno != Y ]; then
    return 0
fi

check_dir_path $UPS_DIR

cd $UPS_DIR

do_xmessage_inst

$doecho \\nxmessage installed in directory `pwd`; sleep 1

}

